//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/transfer/TransferHome.java, ejbdemo, boss 3/24/99 15:58:18 [5/25/99 15:39:28]

package com.ibm.ejs.doc.transfer;

/**
* The home interface of the Transfer session bean.
**/

import javax.ejb.*;
import java.rmi.*;

public interface TransferHome extends EJBHome { 
/**
 * Creates and returns a Transfer EJB object associated with a TransferBean bean instance.
 * @return com.ibm.ejs.doc.transfer.Transfer The Transfer EJB object.
 * @exception javax.ejb.CreateException The Transfer EJB object was not created.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
Transfer create() throws CreateException, RemoteException;
}
