//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1999
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 com/java/src/com/ibm/ejb/cb/samples/hello/tier2/HelloHome.java, ejbdemo, bb98b, bb98b9836a 8/31/98 17:28:37 [9/15/98 17:31:09]


package com.ibm.ejb.cb.samples.hello.tier2;

import javax.ejb.EJBHome;
import com.ibm.ejb.cb.samples.hello.tier2.Hello;

/**
  Interface used to create new Hello session beans.


  @see com.ibm.ejb.cb.samples.hello.tier2.Hello
*/

public interface HelloHome extends EJBHome {

  /**
    Creates a new Hello session bean.

    @return The newly-created Hello session bean.
    @exception java.rmi.RemoteException Thrown when the request
               fails due to a communications problem.
    @exception javax.ejb.CreateException Thrown when the request
               fails due to a creation problem.
  */
  public Hello create() throws java.rmi.RemoteException,
                               javax.ejb.CreateException;

}
