#!/bin/ksh

# Uninstall for WAS PTF-2

echo "Uninstalling WAS PTF-2"

OS_NAME=`uname`

BACKUP_JAR="was35_ptf_2_backup.jar"
LOG_FILE="was35_ptf_2.log"

export JAVA_HOME=`pwd`/java
if [[ "$OS_NAME" = "AIX" ]]  ; then
export PATH=$JAVA_HOME/jre/sh:$JAVA_HOME/sh:$PATH
elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]] ; then
export PATH=$JAVA_HOME/bin:$PATH
elif [[ "$OS_NAME" = "HP-UX" ]]  ; then
export PATH=$JAVA_HOME/bin:/usr/sbin:$PATH
fi

java -jar `pwd`/$BACKUP_JAR -log `pwd`/logs/$LOG_FILE
