//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.3 src/ejb/java/com/ibm/ejs/doc/accountBM/AccountBMKey.java, ejbdemo, boss 5/11/99 15:27:54 [5/25/99 15:38:09]
package com.ibm.ejs.doc.accountBM;

/**
* This is a Primary Key Class for the Entity Bean
**/

import java.io.*;

public class AccountBMKey implements Serializable { 
	public long accountId;
    /**
     * Constructs an AccountBMKey object.
     */
    public AccountBMKey() { }
    /**
     * Constructs a newly allocated AccountBMKey object that represents the primitive long argument.
     */
    public AccountBMKey(long accountId) {
	this.accountId = accountId;
    }

    /**
     * Returns a string value which represents the key.
     * @return the string representation of the key.
     */
    public String toString() {
	return Long.toString(accountId);
    }

    /**
     * Determines if the AccountBMKey object passed to the method matches
     * this AccountKey object.
     * @param o java.lang.Object The AccountKey object to compare to 
     * this AccountKey object.
     * @return boolean The pass object is either equal to this AccountBMKey
     * object (true) or not (false).
     */
    public boolean equals(Object o) {
	if (o instanceof AccountBMKey) {
	    AccountBMKey otherKey = (AccountBMKey) o;
	    return (accountId == otherKey.accountId);
	}
	else {
	    return false;
	}
    }
    /**
     * Generates a hash code for this AccountBMKey object.
     * @return int The hash code.
     */
    public int hashCode () {
	return ((new Long(accountId).hashCode()));
    }
}
