//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/account/AccountKey.java, ejbdemo, boss 3/24/99 15:50:37 [5/25/99 15:37:42]
package com.ibm.ejs.doc.account;

/**
 * The key class of the Account entity bean.
 **/

import java.io.*;

public class AccountKey implements Serializable {
    public long accountId;
/**
 * Constructs an AccountKey object.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public AccountKey() {
	super();
    }
/**
 * Constructs a newly allocated AccountBMKey object that represents the primitive long argument.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public AccountKey(long accountId) { 
	this.accountId = accountId; 
    }

    public long asLong() {
	return accountId;
    }

/**
 * Determines if the AccountKey object passed to the method matches this AccountKey object.
 * @param o java.lang.Object The AccountKey object to compare to this AccountKey object.
 * @return boolean The pass object is either equal to this AccountBMKey object (true) or 
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public boolean equals(Object o) {
	if (o instanceof AccountKey) {
	    AccountKey otherKey = (AccountKey) o;
	    return (((accountId == otherKey.accountId)));
	}
	else {
	    return false;
	}
    }
/**
 * Generates a hash code for this AccountKey object.
 * @return int The hash code.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public int hashCode() {
	return ((new Long(accountId).hashCode()));
    }
}

