//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1997
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.2 src/ejs/java/com/ibm/ejs/doc/client/ClientResourceBundle.java, ejbdemo, boss 5/18/99 17:30:24 [5/25/99 15:39:36]
package WebSphereSamples.AccountAndTransfer;

import java.util.ListResourceBundle;

public class ClientResourceBundle extends ListResourceBundle {

   public ClientResourceBundle () {
      super();
   }

   public Object[][] getContents ( ) {
      return contents;
   }

   static final Object[][] contents = {
      // LOCALIZE THIS
      { "frameTitle",             "TransferApplication"},
      { "transferTitle",          "Transfer Funds between Accounts"},
      { "transferTitle2",         "Transfer Funds"},
      { "amount",                 "Amount"},
      { "from",                   "From Account"},
      { "to",                     "To Account"},
      { "transferBalance",        "Balance"},
      { "transfer",               "Transfer"},
      { "clear",                  "Clear"},
      { "get",                    "Get Balance"},
      { "successtransfer",        "Transfer successful"},
      { "successbalance",         "Balance query successful"},
      { "createTitle",            "Create a new Account"},
      { "createTitleBM",          "Create a new Account (BM)"},
      { "number",                 "Account Number:"},
      { "type",                   "Type:"},
      { "savings",                "savings"},
      { "checking",               "checking"},
      { "balance",                "Starting Balance:"},
      { "create",                 "Create"},
      { "createdaccount",         "Created account:"},
      { "createdtype",            "Type:"},
      { "createdbalance",         "Balance:"},
      { "status",                 "Status"},
      { "failurebadnum",          "Valid amount and account Ids required for transfer."},
      { "failurebadid",           "Valid account Id required to get balance."},
      { "failureexists",          "Create failure - account already exists:"},
      { "failureinternal",        "Internal failure - could not create account:"},
      { "failureaccount",         "Invalid account format:"},
      { "failuresameact",         "Cannot transfer funds between identical accounts."},
      { "failurebalance",         "Invalid balance format:"},
      { "failureinsufficient",    "Insufficient funds - no transfer"},
      { "failurerequest",         "Internal failure - could not do request"},
      { "failureinput",           "Bad input - could not do request"},
      { "failureamount",          "Invalid amount format:"},
      { "failureamtzero",         "Invalid amount."},
      { "failurefind",            "One (or both) accounts not found"},
      { "failureinit",            "Exception retrieving the initial context:"},
      { "failurelookup",          "Lookup returned unexpected object type."},
      { "failureremote",          "RemoteException: "},
      { "failuredupkey",          "DuplicateKeyException: "},
      { "failurecrtxfer",         "Exception creating new transfer: "},
      { "failureformat",          "Valid amount and account Id required for transfer."},
      { "failureactnum",          "Invalid account number."},
      { "failureactinv",          "Invalid account number: "},
      { "failuremain",            "Exception occurred in main() of java.awt.Frame"},
      { "failuregenexp",          "Exception: "},
      { "initError",              "Error initializing servlet."},
      { "startinit",              "Initializing - please wait."},
      { "endinit",                "Initialization done - begin work."},
      // END OF MATERIAL TO LOCALIZE

      //Do not translate the following entries...
      { "nameService",           "com.ibm.ejs.ns.jndi.CNInitialContextFactory"},
      { "accountName",           "Account"},
      { "transferName",          "Transfer"},
      { "providerURL",           "iiop://localhost:900"}
   };
}
