//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1999
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.2 com/java/src/com/ibm/ejb/cb/samples/hello/tier2/Hello.java, ejbdemo, bb98b, bb98b9838b 9/21/98 16:35:40 [9/22/98 16:39:12]


package com.ibm.ejb.cb.samples.hello.tier2;

import javax.ejb.EJBObject;
import java.lang.String;
import java.rmi.RemoteException;

/**
  The Hello interface represents the EJB Object instance that a
  client can use to invoke remote methods on.  This interface
  is "implemented" by the HelloBean.  Use the HelloHome interface
  to create a Hello session bean.
  <p>
  <b>Note:</b> Specific instructions for deployment are captured
  in the HelloBean documentation.


  @see com.ibm.ejb.cb.samples.hello.tier2.HelloBean
  @see com.ibm.ejb.cb.samples.hello.tier2.HelloHome
*/

public interface Hello extends EJBObject {

  /**
    Returns a message, such as "Hello World!"
    @return The message.
    @exception RemoteException Thrown if the remote method call fails.
  */
  public String getMessage() throws RemoteException;

}
