//====START_GENERATED_PROLOG======================================
//
//
//   COMPONENT_NAME: ejbdemo
//
//   CLASSES: none
//
//   ORIGINS: 27
//
//
//   (C) COPYRIGHT International Business Machines Corp. 1999
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
//   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
//   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
//   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
//   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
//   OR PERFORMANCE OF THIS SOFTWARE.
//
//====END_GENERATED_PROLOG========================================
//
// @(#) 1.1 com/java/src/com/ibm/ejb/cb/samples/hello/tier2/HelloBeanResourceBundle.java, bbMessages, bb98b, bb98b9836a 8/31/98 17:28:35 [9/15/98 17:21:38]


package com.ibm.ejb.cb.samples.hello.tier2;

import java.util.ListResourceBundle;

/**
 * The <b>HelloBeanResourceBundle</b> provides locale specific
 * support for the <b>HelloBean</b> class.
 * Within IBM, "locale specific support" is also known
 * as "National Language Support" or "NLS."
 *
 * @see com.ibm.ejb.cb.samples.hello.tier2.HelloBean
 */

public class HelloBeanResourceBundle extends ListResourceBundle {

  private final static String kBeanExtenderIBMCopyright =
          "(c) Copyright IBM Corporation 1999";


  /**
    Constructs a new <b>HelloBeanResourceBundle</b>.
  */
  public HelloBeanResourceBundle () {
    super();
  }

  /**
    Returns the two-dimensional array of Strings which provide the
    locale specific support.  The array is a set of non-variant keys
    which map to the locale specific implementation of the "message."

    @return Two-dimensional array of Strings.
  */
  public Object[][] getContents() {
     return contents;
  }

  /** Final, static instance variable which holds the locale specific information. */
  static final Object[][] contents = {
    // LOCALIZE THIS

    {"greeting", "<b>Hello</b> from Hello EJB Sample!"},

    // END OF MATERIAL TO LOCALIZE
  };
}
